Skip to main content

STU3 Questionnaire

The Questionnaire resource describes "a structured set of questions intended to guide the collection of answers from end-users." HL7 FHIR STU3 Questionnaire

Supported Profiles

This API supports the following FHIR profiles:

Operations

The General Purpose STU3 API Questionnaire resource supports the following standard operations. However, support varies by the targeted CareRecord or solution.

CareRecord / SolutionCreateReadUpdateSearch
GEHRIMED----
myAvatar----
myEvolv----
myUnity----
info

Not all Netsmart solutions support Questionnaire search. See supported operations table above and consult your target solution's documentation for more information.

This operation retrieves a list of resources by these query parameters.

Standard Parameters

NameTypeDescription
patientreferenceREQUIRED The unique identifier of the patient.
_ididUnique identifier of the Questionnaire. Cannot be used with other search parameters.

Custom Parameters

NameTypeDescription
enddateAssessment date/time
startdateAssessment date/time

Search Examples

Via POST

The POST method is recommended as it keeps health information out of the URL.

Search by Patient
curl -X POST https://fhir.netsmartcloud.com/fhir/Questionnaire/_search \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json" \
-H "Content-Type: application/x-form-urlencoded" \
-d "patient=Patient/147"
Via GET
Search by Patient
curl -X GET "https://fhir.netsmartcloud.com/fhir/Questionnaire?patient=Patient/147" \
-H "Authorization: {Bearer Token}" \
-H "Accept: application/fhir+json"